Bug 1091629 - Both Wicked and Network Manager start together
Both Wicked and Network Manager start together
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Network
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-02 08:53 UTC by malcolm moore
Modified: 2020-01-16 09:05 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
kanderssen: needinfo? (st-malcolm.moore)
kanderssen: needinfo? (wicked-maintainers)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description malcolm moore 2018-05-02 08:53:09 UTC
If you set the IP in Yast as static using Wicked, as all our machines are,
Network Manager also starts by default so you get a static IP set in Yast
and then a dhcp address by Network manager. In our environment dhcp address are 
severely restricted and the browsers tend to use that one which means smoothwall blocks practically everything. disabling NetworkManager manually works but having
two thing providing IP adresses doesn't seem right.
Comment 1 Knut Alejandro Anderssen González 2020-01-15 21:55:57 UTC
There are two issues described if I'm not wrong, one about starting both services together and one about not removing an IP when switching between services.

Is that correct?

I tested a fresh installation and the service is not enabled, so logs would be appreciated. I know the bug was reported sometime ago, but if you consider it important and you still face the issue, then please attach them if you are able to reproduce the issue.

About releasing the IP, that is probably something that wicked guys could explain better than me, so lets ask them ;)
Comment 2 malcolm moore 2020-01-16 07:51:26 UTC
This was about 2 years ago - At the time you could end up with 2 IP addresses as one was set by wicked ( static ) and then network manager would start and get a DHCP one as well.

It doesn't happen now - somewhere along the line it was fixed and I forgot to update this bug.

Regards

Mal
Comment 3 Ancor Gonzalez Sosa 2020-01-16 09:05:29 UTC
Closing this, based in comment#2.